
QGIS Application - Bug report #9713

No angle > 90° in line pattern fill in layer properties

2014-03-04 11:05 PM - Josef Molitor

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18276

Description

layer properties > style > symbol selector >  line pattern fill.

In QGis 2.1.X you could use an angle of e.g. 135° to have the line pattern perpendicular to an other pattern of 45°.

In QGis 2.2.0 angles > 90° dont work correct.

History

#1 - 2014-03-05 12:40 AM - Giovanni Manghi

- File 13.png added

- Category set to Symbology

- Status changed from Open to Feedback

It works fine on qgis master, would you ming give it a try? thanks! see attached image

#2 - 2014-03-05 12:47 AM - Alessandro Ciali

I've experienced the same bug. Furthermore, line pattern fill created with previous versions (e.g. 2.0) are not  correctly drawn in 2.2.

tested on win 7 64bit 2.2 valmiera

#3 - 2014-03-05 12:48 AM - Giovanni Manghi

Alessandro Ciali wrote:

I've experienced the same bug.

on master too?

#4 - 2014-03-05 12:54 AM - Rémi Bovard

- File angle.png added

I confirm the issue on Windows 7 with 2.2 and master.

See screenshot
#5 - 2014-03-05 12:56 AM - Giovanni Manghi

- Operating System set to Windows

- Status changed from Feedback to Open

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.4

- Affected QGIS version changed from 2.2.0 to master

Rémi Bovard wrote:

I confirm the issue on Windows 7 with 2.2 and master.

See screenshot

then it means does not happen on Linux.

#6 - 2014-03-05 01:03 AM - Alessandro Ciali

- Target version deleted (Version 2.4)

I was installing master...

well, in master (2.3) there's no problem in rotating line pattern over 90° but all my line pattern generated up to 2.0 are represented with a simple red line!

Same as in 2.2 ... :( maybe something as changed in line fill pattern?

#7 - 2014-03-05 01:06 AM - Giovanni Manghi

Alessandro Ciali wrote:

but all my line pattern generated up to 2.0 are represented with a simple red line! Same as in 2.2 ... :( maybe something as changed in line fill

pattern?

can you post a sample project with data? something I can open and see if it replicates also on Linux.

#8 - 2014-03-05 01:43 AM - Alessandro Ciali

- File pattern.zip added

I've created 3 project with version 2.0 2.2 end 2.3 master.

As you can see, line fill pattern generated with 2.0 are not correctly represented in 2.2 and 2.3, with the difference that in 2.2 also the rotation angle is

wrong, while in 2.3 only the pattern is wrong but the angle is right.

What I think is that:

- the problem in rotating over 90° is a bug occuring only in 2.2;

- the problem with uncorrectly represented line pattern fill in 2.2, 2.3 is something related to a different way in managing line fill pattern (while in 2.0 line

border was part of the line fill pattern, in 2.2 it is not, and the option (color, width) of the border line are transferred to the line fill.

#9 - 2014-03-05 04:07 PM - Giovanni Manghi

- Status changed from Open to Feedback
- Priority changed from Severe/Regression to Normal

Alessandro Ciali wrote:

I was installing master...

well, in master (2.3) there's no problem in rotating line pattern over 90° but all my line pattern generated up to 2.0 are represented with a simple red

line! Same as in 2.2 ... :( maybe something as changed in line fill pattern?

if the angle issue in 2.3 is solved then there is no issue, because the answer is "yes", the line pattern fill as changed and as far as I remember it was

decided to not support a routine to import the fill as it was in qgis 2.0.1 into qgis >=2.2 projects.

#10 - 2014-03-05 04:08 PM - Giovanni Manghi

Rémi Bovard wrote:

I confirm the issue on Windows 7 with 2.2 and master.

See screenshot

on master seems to work fine, now I have checked also on Windows.

#11 - 2014-03-05 11:41 PM - Alessandro Ciali

I wished for a resolution in 2.2...the angle iussue implies a great problem with 2.0 symbology...in 2.2 I can't reproduce a lot of hatches I created with

2.0...(crossed hatches or line fill patterns with angles > 90) and , I suppose, this problem affect a large part of users. What do you think about?

#12 - 2014-03-06 04:46 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Alessandro Ciali wrote:

What do you think about?

of course I understand your point.

we made a lot of effort to catch all the regressions in qgis 2.1 (the previous master), but we missed this.

anyway the issue described in this ticket is fixed in master, so I close this.

#13 - 2014-03-31 07:13 AM - Sandra Lopes

I also wish for a resolution in 2.2! No everyone uses the dev version, it would be better to have the stable version working.
#14 - 2014-03-31 07:24 AM - Giovanni Manghi

Sandra Lopes wrote:

I also wish for a resolution in 2.2! No everyone uses the dev version, it would be better to have the stable version working.

Want a stable, bug free release?

http://osgeo-org.1560.x6.nabble.com/Want-a-stable-bug-free-release-td5130947.html

#15 - 2014-05-08 06:59 AM - Christopher Wesson

Fed back in report #10210

Thanks Giovanni but I cannot test master. We are now all working on managed versions of Windows here :(

But I assume a fix in master means the Windows packaged version of 2.3 when it arrives should therefore no longer have this bug? It seems that many of

us users are now using the software in this manner.

Files

13.png 221 KB 2014-03-04 Giovanni Manghi

angle.png 74.4 KB 2014-03-04 Rémi Bovard

pattern.zip 12.6 KB 2014-03-05 Alessandro Ciali
